# On RHEL we are missing libs to get the gnome applet working (#463022)
# On Fedora 15, no more ruby-panelapplet2 because of GNOME3
%if 0%{?rhel:1} || 0%{?fedora} >= 15
%bcond_with    applet
%else
%bcond_without applet
%endif

Summary: Application to organize SSH connection information in a menu
Name: sshmenu
Version: 3.18
Release: 9%{?dist}
License: BSD
Group: User Interface/Desktops
URL: http://sshmenu.sourceforge.net/
Source0: http://dl.sf.net/sshmenu/sshmenu-%{version}.tar.gz
Patch0: sshmenu-3.18-libexec.patch
Patch1: sshmenu-3.18-ruby_vendorlibdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ruby
BuildRequires: ruby-devel
Requires: openssh-askpass
Requires: ruby(abi) = 1.9.1
Requires: ruby(gconf2)
Requires: ruby(gtk2)
# We only have ruby scripts and data, and the bonobo file gets picked up fine
BuildArch: noarch
# On Fedora < 15 we provided this package, so this should fix upgrades.
# No need on RHEL, never provided there. Last known version was 3.18-3.dist.
%if 0%{?fedora} >= 15
Obsoletes: gnome-applet-sshmenu <= 3.18-4
%endif

%description
SSHMenu is a small program (which is to be used outside of GNOME) that
keeps all your regular SSH connections within a single menu. If you wish to
have the full GNOME applet version of the menu, install gnome-applet-sshmenu.


%if %{with applet}
%package -n gnome-applet-sshmenu
Summary: GNOME panel applet to organize SSH connection information in a menu
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: ruby(panelapplet2)
# No a build requirement, but it's best to fail building if not available
BuildRequires: ruby(panelapplet2)

%description -n gnome-applet-sshmenu
SSHMenu is a GNOME panel applet (which can also be used outside of GNOME) that
keeps all your regular SSH connections within a single panel menu.
%endif


%prep
%setup -q
%patch0 -p1 -b .libexec
%patch1 -p1 -b .sitelib


%build
# Nope... only ruby scripts :-)


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%if %{without applet}
%{__rm} -rf %{buildroot}%{_prefix}/lib/bonobo/
%{__rm} -rf %{buildroot}%{_libexecdir}/sshmenu-applet
%{__rm} -rf %{buildroot}%{_datadir}/icons/
%endif


%clean
%{__rm} -rf %{buildroot}


%if %{with applet}
%post -n gnome-applet-sshmenu
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun -n gnome-applet-sshmenu
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
%endif


%files
%defattr(-,root,root,-)
%doc Changes License.txt README
%{_sysconfdir}/bash_completion.d/
%{_bindir}/sshmenu
%{_bindir}/sshmenu-gnome
%{ruby_vendorlibdir}/sshmenu.rb
%{ruby_vendorlibdir}/gnome-sshmenu.rb
%{_mandir}/man1/sshmenu.1*


%if %{with applet}
%files -n gnome-applet-sshmenu
%{_prefix}/lib/bonobo/servers/sshmenu-applet.server
%{_libexecdir}/sshmenu-applet
%{_datadir}/icons/hicolor/48x48/apps/gnome-sshmenu-applet.png
%endif


%changelog
* Wed Feb 08 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 3.18-9
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 12 2011 Matthias Saou <http://freshrpms.net/> 3.18-7
- Use bcond for the applet, it makes the spec easier to understand.
- Use %%global for ruby_sitelib, as it fails with bcond otherwise...
- BuildRequire ruby(panelapplet2) for gnome-applet-sshmenu in order to fail
  building if it's not available, instead of creating a broken package.

* Sun Jul 10 2011 Matthias Saou <http://freshrpms.net/> 3.18-6
- Obsolete gnome-applet-sshmenu up to the last built version on F15+.

* Sat Jul  9 2011 Matthias Saou <http://freshrpms.net/> 3.18-5
- Enable the sshmenu-gnome command in the main package (#711555).

* Sat Jul  9 2011 Matthias Saou <http://freshrpms.net/> 3.18-4
- Disable gnome-applet-sshmenu on F15+ as ruby-panelapplet2 is no longer there.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec  8 2009 Matthias Saou <http://freshrpms.net/> 3.18-2
- Disable the gnome-applet-sshmenu sub-package on RHEL (#463022).

* Tue Dec  8 2009 Matthias Saou <http://freshrpms.net/> 3.18-1
- Update to 3.18.
- Rebased both patches for the Makefile changes.
- Fix scriplets by adding "|| :" for touch.
- Include new bash_completion.d as-is since all packages seem to do it.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May  9 2009 Matthias Saou <http://freshrpms.net/> 3.16-1
- Update to 3.16.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 17 2008 Matthias Saou <http://freshrpms.net/> 3.15-5
- Move gnome-sshmenu.rb to gnome-applet-sshmenu too.

* Wed Jan 16 2008 Matthias Saou <http://freshrpms.net/> 3.15-4
- Keep only ruby(gtk2) req in sshmenu, move others to gnome-applet-sshmenu.

* Mon Jan 14 2008 Matthias Saou <http://freshrpms.net/> 3.15-3
- Split out the GNOME applet as gnome-applet-sshmenu while keeping the basic
  menu application as sshmenu, and have all the shared ruby files be there.

* Mon Jan 14 2008 Matthias Saou <http://freshrpms.net/> 3.15-2
- Follow ruby guidelines : Put ruby files in ruby_sitelib.
- Add required hardcoded ruby abi version requirement.

* Tue Dec 18 2007 Matthias Saou <http://freshrpms.net/> 3.15-1
- Initial RPM release.

